task Freebayes {

    File ref_dir
    File ref_fa_fai
	File fasta
	File Dedup_bam
	File Dedup_bam_index
	String half_read_length
	String sample
	String FBdocker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		/opt/freebayes/scripts/freebayes-parallel <(/opt/freebayes/scripts/fasta_generate_regions.py ${ref_dir}/${ref_fa_fai} 100000) $nt -f ${ref_dir}/${fasta} --genotype-qualities -F 0.05 --max-complex-gap ${half_read_length} ${Dedup_bam} > ${sample}_fb.vcf
		cat ${sample}_fb.vcf | grep '#' > header
		cat ${sample}_fb.vcf | grep -v '#' | grep -v '0/0' | cat header - > ${sample}_fb.filtered.vcf
	>>>

	runtime {
		docker:FBdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf = "${sample}_fb.vcf"
		File filtered = "${sample}_fb.filtered.vcf"
	}
}
